summaryrefslogtreecommitdiffstats
path: root/tests/ts/findmnt
diff options
context:
space:
mode:
authorKarel Zak2016-12-20 16:05:29 +0100
committerKarel Zak2016-12-20 16:05:29 +0100
commit131af5109f661d2821b82ac03a9e38de0ac31206 (patch)
treeab9b3fa51c0fe74818244536975898305926a078 /tests/ts/findmnt
parentlibmount: support name=value for mnt_match_options() (diff)
downloadkernel-qcow2-util-linux-131af5109f661d2821b82ac03a9e38de0ac31206.tar.gz
kernel-qcow2-util-linux-131af5109f661d2821b82ac03a9e38de0ac31206.tar.xz
kernel-qcow2-util-linux-131af5109f661d2821b82ac03a9e38de0ac31206.zip
tests: add new findmnt --options tests
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/ts/findmnt')
-rwxr-xr-xtests/ts/findmnt/filter25
1 files changed, 20 insertions, 5 deletions
diff --git a/tests/ts/findmnt/filter b/tests/ts/findmnt/filter
index 02e0a306a..b92768ad8 100755
--- a/tests/ts/findmnt/filter
+++ b/tests/ts/findmnt/filter
@@ -20,30 +20,46 @@ ts_init "$*"
ts_check_test_command "$TS_CMD_FINDMNT"
-
ts_init_subtest "types"
$TS_CMD_FINDMNT --types ext3 --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
echo rc=$? >> $TS_OUTPUT
ts_finalize_subtest
-
ts_init_subtest "types-multi"
$TS_CMD_FINDMNT --types ext3,ext4, --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
echo rc=$? >> $TS_OUTPUT
ts_finalize_subtest
-
ts_init_subtest "types-neg"
$TS_CMD_FINDMNT --types noext3,ext4, --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
echo rc=$? >> $TS_OUTPUT
ts_finalize_subtest
-
ts_init_subtest "options"
$TS_CMD_FINDMNT --options relatime --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
echo rc=$? >> $TS_OUTPUT
ts_finalize_subtest
+ts_init_subtest "options-name"
+$TS_CMD_FINDMNT --options fd --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
+echo rc=$? >> $TS_OUTPUT
+ts_finalize_subtest
+
+ts_init_subtest "options-nameval"
+$TS_CMD_FINDMNT --options "fd=22" --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
+echo rc=$? >> $TS_OUTPUT
+ts_finalize_subtest
+
+ts_init_subtest "options-nameval-neg"
+$TS_CMD_FINDMNT --options "nofd=22" --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
+echo rc=$? >> $TS_OUTPUT
+ts_finalize_subtest
+
+ts_init_subtest "options-nameval-multi"
+$TS_CMD_FINDMNT --options "gid=5,mode=620,ptmxmode=000" --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
+echo rc=$? >> $TS_OUTPUT
+ts_finalize_subtest
+
ts_init_subtest "options-neg"
$TS_CMD_FINDMNT --options norelatime --kernel --tab-file "$TS_SELF/files/mountinfo" &> $TS_OUTPUT
echo rc=$? >> $TS_OUTPUT
@@ -59,6 +75,5 @@ $TS_CMD_FINDMNT --options +nosuid,+nodev,blkio --kernel --tab-file "$TS_SELF/fil
echo rc=$? >> $TS_OUTPUT
ts_finalize_subtest
-ts_finalize_subtest
ts_finalize